#
# spec file for package gspiceui
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        GUI for the Spice Simulators ngspice and gnucap
License:        GPL
Group:          Productivity/Scientific/Electronics
Name:           gspiceui
Version:        1.0.00
Release:        1.1

Url:            http://sourceforge.net/projects/gspiceui
Source0:        gspiceui-v%{version}.tar.bz2
## Upstream report for patch0
# https://sourceforge.net/tracker/?func=detail&aid=3440443&group_id=145635&atid=762568
Patch0:         gcc-compilation-fix.diff
Patch1:         gspiceui-1.0.00-old-wxWindow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gcc-c++
%if 0%suse_version <= 1130
BuildRequires:  wxGTK-devel >= 2.6
%else
BuildRequires:  wxWidgets-devel >= 2.6
%endif

%description 
The GNU Spice GUI provides a frontend for the circuit simulators ngspice 
and gnucap.


%prep 
%setup -q -n %{name}-v%{version}
%patch0 -p1
%if 0%{?suse_version} < 1130
%patch1 -p1
%endif

%build
%{__make}

%install
# create the _bindir-directory if its not there
# mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/bin
make install INSTALLDIR=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{_datadir}/gspiceui
%{_datadir}/gspiceui/*
%{_mandir}/man1/*

%changelog
* Fri Aug 31 2012 scorot@free.fr
- fix compilation for old wxWindow for SLE 11 with patch1
- spec file reformating
* Sat Nov 19 2011 werner.ho@gmx.de
- new version 1.0.00
- compilation fix for 11.x versions
* Thu Mar 17 2011 Werner Hoch <werner.ho@gmx.de> - 0.9.99
- new version 0.9.99
- build fix for openSUSE 11.4
* Thu Oct 22 2009 Werner Hoch <werner.ho@gmx.de> - 0.9.98
- new version 0.9.98
- removed Makefile patch
* Sat Oct 10 2009 Werner Hoch <werner.ho@gmx.de> - 0.9.97
- new version 0.9.97
- removed locale patch
- added Makefile patch
* Sat Apr  4 2009 Werner Hoch <werner.ho@gmx.de> - 0.9.65
- made locale patch unconditional
- removed support for older distributions
* Mon Nov 24 2008 Werner Hoch <werner.ho@gmx.de>
- build fixes for factory
* Tue Mar  4 2008 Werner Hoch <werner.ho@gmx.de>
- new version 0.9.65
* Mon Oct 29 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.9.55
* Thu Aug  2 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.9.33
- added Makefile patch to correct directory expanding
* Tue Oct 31 2006 Werner Hoch <werner.ho@gmx.de>
- updated version to 0.8.90
* Sat Oct 14 2006 Werner Hoch <werner.ho@gmx.de>
- first specfile
